/**
 * @callback tweenCallback
 * @param {number} v - the current value of the tween
 * @returns {void}
 */
/**
 * change a number over time
 * @arg {number} from - the number to start at
 * @arg {number} to - the number to finish at
 * @arg {tweenCallback} cb - function called as tween progresses
 * @arg {object} [opts] - options
 * @arg {number} [opts.time = 400] - how long the tween should last
 * @arg {function} [opts.done] - function called when tweening is finished
 * @arg {function} [opts.ease] - function used for easing the tween
 * @returns {function} - callback that can stop a tween in progress
 */
export function tween(from: number, to: number, cb: tweenCallback, { time, done, ease }?: {
    time?: number;
    done?: Function;
    ease?: Function;
}): Function;
export * from "./ease.js";
export type tweenCallback = (v: number) => void;
